{% extends 'base.html' %}

{% block head %}
    <link rel="stylesheet" href="{{ url_for('static', filename = 'styles/ProjectOptions.css')}}">
{% endblock %}

{% block article %}
    <div class="article">
        <h1>Edit project</h1>
    </div>

    <div class="article">
        <div class="container">
            <form method="post" autocomplete="off">
                <div class="row">
                    <div class="col-1">
                        <label for="title">Project Title</label>
                    </div>
                    <div class="col-2">
                        <input type="text" name="title" placeholder="Title" value="{{ request.form['name'] or project['name'] }}">
                    </div>
                </div>

                <div class="row">
                    <div class="col-1">
                        <label for="techs">Used techs</label>
                    </div>
                    <div class="col-2">
                        <input type="text" name="techs" placeholder="Techs" value="{{ request.form['techs'] or project['techs'] }}">
                    </div>
                </div>

                <div class="row">
                    <div class="col-1">
                        <label for="link">Link</label>
                    </div>
                    <div class="col-2">
                        <input type="text" name="link" placeholder="Project link" value="{{ request.form['link'] or project['link'] }}">
                    </div>
                </div>

                <button type="submit" style="margin-top: 6px">Save changes</button>

            </form>
            <form action="{{ url_for('delete', id=project['id']) }}" method="post">
                <input style="margin-top: 6px" type="submit" value="Delete project">
            </form>
        </div>
    </div>
{% endblock %}